%bcond_with checker
Name:                rxjava
Version:             1.1.8
Release:             1
Summary:             Reactive Extensions for the JVM
License:             ASL 2.0
URL:                 https://github.com/ReactiveX/RxJava
Source0:             https://github.com/ReactiveX/RxJava/archive/v%{version}/rxjava-%{version}.tar.gz
Source1:             https://repo1.maven.org/maven2/io/reactivex/rxjava/1.1.8/rxjava-1.1.8.pom

BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
%if %{with checker}
BuildRequires:       mvn(com.google.guava:guava)
BuildRequires:       mvn(com.pushtorefresh.java-private-constructor-checker:checker)
BuildRequires:       mvn(junit:junit) mvn(org.mockito:mockito-core)
%endif
Provides:            bundled(jctools-core) = 1.2-SNAPSHOT
BuildArch:           noarch
%description
RxJava a library for composing asynchronous and
event-based programs using observable sequences
for the Java VM.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n RxJava-%{version}
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete
cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>io.reactivex.rxjava</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>ReactiveX</Bundle-Vendor>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin:2.9.1 . '
<configuration>
  <excludePackageNames>*.internal.*</excludePackageNames>
</configuration>'
%if %{with checker}
%pom_add_dep junit:junit:4.12:test
%pom_add_dep org.mockito:mockito-core:1.10.19:test
%pom_add_dep com.google.guava:guava:19.0:test
%pom_add_dep com.pushtorefresh.java-private-constructor-checker:checker:1.2.0:test
rm src/test/java/rx/internal/operators/OperatorMergeMaxConcurrentTest.java \
 src/test/java/rx/internal/operators/OperatorMergeTest.java \
 src/test/java/rx/internal/operators/OperatorPublishTest.java \
 src/test/java/rx/internal/operators/OperatorRepeatTest.java \
 src/test/java/rx/internal/operators/OperatorRetryTest.java \
 src/test/java/rx/subjects/ReplaySubjectBoundedConcurrencyTest.java \
 src/test/java/rx/subjects/ReplaySubjectConcurrencyTest.java
rm src/test/java/rx/internal/operators/OperatorRetryWithPredicateTest.java
%endif
%mvn_file io.reactivex:%{name} %{name}

%build
%if %{without checker}
opts="-f"
%endif
%mvn_build $opts -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Aug 4 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 1.1.8-1
- Package init
